( cd usr/bin ; rm -rf go )
( cd usr/bin ; ln -sf /usr/lib64/go/bin/go go )
( cd usr/bin ; rm -rf gofmt )
( cd usr/bin ; ln -sf /usr/lib64/go/bin/gofmt gofmt )
( cd usr/lib64/go ; rm -rf doc )
( cd usr/lib64/go ; ln -sf /usr/share/doc/go doc )

#Added by slkbuild 1.2
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/profile.d/go.csh
dotnew etc/profile.d/go.sh
